Ana içeriğe atla

Endpoint

GET /apiops/projects/{projectName}/apiProxies/{apiProxyName}/

Authentication

Requires a Personal API Access Token.
Authorization: Bearer YOUR_TOKEN

Request

Headers

HeaderValueRequired
AuthorizationBearer Yes

Path Parameters

ParameterTypeRequiredDescription
projectNamestringYesProject name
apiProxyNamestringYesAPI Proxy name

Query Parameters

ParameterTypeRequiredDefaultDescription
withPoliciesbooleanNofalseWhen set to true, policy details (request, response, error pipelines) are included for each endpoint

Response

Success Response (200 OK)

Without Policies (default)

{
  "success": true,
  "resultList": [
    {
      "name": "MyAPI",
      "description": "My API Proxy description",
      "apiType": "REST",
      "categoryList": ["category1", "category2"],
      "sharingType": "PROJECT",
      "clientRoute": {
        "relativePathList": ["/api/v1"],
        "virtualHostList": ["api.example.com"]
      },
      "routing": {
        "routingEnabled": true,
        "routingAddressList": [
          {
            "address": "https://backend.example.com",
            "weight": 100,
            "healthCheckEnabled": true
          }
        ]
      },
      "endpointList": [
        {
          "id": "endpoint-id-1",
          "endpoint": "/api/users",
          "description": "Get all users",
          "active": true,
          "httpMethod": "GET",
          "backendResourceUrl": "/users",
          "backendHttpMethod": "GET"
        }
      ],
      "deploymentList": [
        {
          "environmentName": "production",
          "deployed": true,
          "redeployRequired": false
        }
      ]
    }
  ],
  "resultCount": 1
}

With Policies (withPolicies=true)

When withPolicies=true, each endpoint object includes requestPolicyList, responsePolicyList, and errorPolicyList:
{
  "success": true,
  "resultList": [
    {
      "name": "MyAPI",
      "description": "My API Proxy description",
      "apiType": "REST",
      "endpointList": [
        {
          "id": "endpoint-id-1",
          "endpoint": "/api/users",
          "httpMethod": "GET",
          "active": true,
          "requestPolicyList": [
            {
              "type": "policy-api-based-throttling",
              "name": "throttling-policy",
              "description": "Throttling policy",
              "active": true
            }
          ],
          "responsePolicyList": [],
          "errorPolicyList": []
        }
      ]
    }
  ],
  "resultCount": 1
}

Response Fields

FieldTypeDescription
successbooleanIndicates if the request was successful
resultListarrayList containing the API proxy detail object
resultCountintegerTotal number of results (always 1 for this endpoint)

API Proxy Object Fields

FieldTypeDescription
namestringAPI Proxy name
descriptionstringAPI Proxy description
apiTypestringAPI type (REST or SOAP)
categoryListarrayList of categories
sharingTypestringSharing type (PROJECT, ORGANIZATION, PUBLIC)
clientRouteobjectClient route configuration
routingobjectRouting configuration
endpointListarrayList of endpoint objects
deploymentListarrayDeployment status per environment

EnumApiType

  • REST - REST API
  • SOAP - SOAP API

EnumSharingType

  • PROJECT - Shared within project
  • ORGANIZATION - Shared within organization
  • PUBLIC - Publicly shared

Error Response (401 Unauthorized)

{
  "error": "unauthorized_client",
  "error_description": "Invalid token"
}

Error Response (400 Bad Request)

{
  "error": "bad_request",
  "error_description": "ApiProxy (name: MyAPI) is not found!"
}

Error Response (404 Not Found)

{
  "error": "not_found",
  "error_description": "ApiProxy (name: MyAPI) was not found!"
}

cURL Example

Without Policies

curl -X GET \
  "https://demo.apinizer.com/apiops/projects/MyProject/apiProxies/MyAPI/" \
  -H "Authorization: Bearer YOUR_TOKEN"

With Policies

curl -X GET \
  "https://demo.apinizer.com/apiops/projects/MyProject/apiProxies/MyAPI/?withPolicies=true" \
  -H "Authorization: Bearer YOUR_TOKEN"

Full JSON Body Example

This endpoint does not require a request body.

Permissions

User must have API_MANAGEMENT + VIEW permission in the project.

Notes and Warnings

  • Policy Details: By default, policy lists are not included. Set withPolicies=true to include request, response, and error pipeline policies for each endpoint
  • Case Sensitivity: API Proxy names are case-sensitive
  • Project Membership: User must be a member of the project